Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227071 - Review Request: jline-0.9.9-1jpp - Java library for reading and editing user input in console applications
Summary: Review Request: jline-0.9.9-1jpp - Java library for reading and editing user ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:41 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-13 14:37:07 UTC
tbento: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:41:19 UTC
Spec URL: http://people.redhat.com/rafaels/specs/jline-0.9.9-1jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/jline-0.9.9-1jpp.src.rpm
Description: JLine is a java library for reading and editing user input in console
applications. It features tab-completion, command history, password
masking, customizable keybindings, and pass-through handlers to use to
chain to other console applications.

Demonstrations and samples for jline.

Javadoc for jline.

Comment 2 Tania Bento 2007-03-06 17:51:02 UTC
Just a couple things:

- Should the post and postun sections for javadoc be removed?
- Some lines have more than 80 characters.
- Should gcj support be added?
- I think group should be changed to Development/Libraries.

Comment 3 Matt Wringe 2007-03-07 16:19:43 UTC
(In reply to comment #2)
> Just a couple things:
> 
> - Should the post and postun sections for javadoc be removed?

They have been removed, I didn't remove them before since we have hard coded the
srpm to use ant instead of maven (and the ant build doesn't have javadocs)

> - Some lines have more than 80 characters.

I believe only the description has to be less than 80 characters per line, which
it is. If this is not the case let me know.

> - Should gcj support be added?

I added gcj support.

> - I think group should be changed to Development/Libraries.

Groups are ignored by fedora so they shouldn't matter. But since this causes an
issue with rpmlint, I have changed it.

https://mwringe.108.redhat.com/files/documents/175/265/jline.spec
https://mwringe.108.redhat.com/files/documents/175/266/jline-0.9.9-1jpp.1.src.rpm

Comment 4 Tania Bento 2007-03-09 15:18:07 UTC
> > - Should gcj support be added?
> 
> I added gcj support.

I think that _with_gcj_support should be set to 1.



Comment 5 Matt Wringe 2007-03-12 14:32:50 UTC
(In reply to comment #4)
> > > - Should gcj support be added?
> > 
> > I added gcj support.
> 
> I think that _with_gcj_support should be set to 1.

done

https://mwringe.108.redhat.com/files/documents/175/287/jline.spec
https://mwringe.108.redhat.com/files/documents/175/288/jline-0.9.9-1jpp.1.src.rpm



Comment 6 Tania Bento 2007-03-12 21:21:28 UTC
This looks good to me.  Approving it.

Comment 7 Matt Wringe 2007-03-12 21:24:01 UTC
New Package CVS Request
=======================
Package Name: jline
Short Description: Java library for reading and editing user input in console
applications
Owners: mwringe@redhat.com
Branches: devel
InitialCC: 

Comment 8 Darryl L. Pierce 2014-09-03 13:42:32 UTC
Package Change Request
======================
Package Name: jline
New Branches: epel7
Owners: mcpierce

Comment 9 Gwyn Ciesla 2014-09-03 13:51:03 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.